Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
kyototycoon::RemoteDB::BulkRecord Struct Reference

Record for bulk operation. More...

`#include <ktremotedb.h>`

List of all members.

## Public Attributes
uint16_t | dbidx
| index of the target database
std::string | key
| key
std::string | value
| value
int64_t | xt
| expiration time

## Detailed Description

Record for bulk operation.

## Member Data Documentation

uint16_t kyototycoon::RemoteDB::BulkRecord::dbidx

index of the target database

std::string kyototycoon::RemoteDB::BulkRecord::key

key

std::string kyototycoon::RemoteDB::BulkRecord::value

value

int64_t kyototycoon::RemoteDB::BulkRecord::xt

expiration time